# $Revision: 1.12 $, $Date: 2009/04/17 18:18:42 $
# TODO:
#  - link libCg.so with -lm and -lpthread

Summary:	NVIDIA Cg Compiler
Summary(pl.UTF-8):	Kompilator Cg NVIDII
Name:		cg
Version:	2.1.0017
Release:	1
License:	nVidia
Group:		Development
Source0:	http://developer.download.nvidia.com/cg/Cg_2.1/%{version}/Cg-2.1_February2009_x86.tgz
# Source0-md5:	8752286743ddd9d5997e698714fcc556
Source1:	http://developer.download.nvidia.com/cg/Cg_2.1/%{version}/Cg-2.1_February2009_x86_64.tgz
# Source1-md5:	01a3d1e0936c3f221ede5b6bfd8d2e0c
URL:		http://developer.nvidia.com/object/cg_toolkit.html
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The NVIDIA Cg Toolkit is the best way to take advantage of today's
GPUs across multiple platforms and APIs. Now supporting OpenGL's
ARB_vertex_program and ARB_fragment_program extensions, the compiler
allows developers to create advanced visual effects for today's
programmable GPUs from NVIDIA and other vendors.

%description -l pl.UTF-8
Zestaw narzędzi Cg NVIDII jest najlepszym sposobem wykorzystywania
dzisiejszych procesorów graficznych na wielu różnych platformach.
Dzięki wsparciu rozszerzeń OpenGL-a ARB_vertex_program i
ARB_fragment_program, kompilator pozwala developerom tworzyć
zaawansowane efekty wizualne na programowalne układy graficzne NVIDII
i innych producentów.

%package devel
Summary:	Header files for Cg library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Cg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# for cgGL
#Requires:	OpenGL-devel

%description devel
This is the package containing the header files for Cg library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki Cg.

%package doc
Summary:	NVIDIA Cg Compiler documentation
Summary(pl.UTF-8):	Dokumentacja kompilatora Cg NVIDII
Group:		Development/Libraries

%description doc
NVIDIA Cg Compiler documentation.

%description doc -l pl.UTF-8
Dokumentacja kompilatora Cg NVIDII.

%package examples
Summary:	Cg examples
Summary(pl.UTF-8):	Przykłady dla Cg
Group:		Applications

%description examples
Cg examples.

%description examples -l pl.UTF-8
Przykłady dla Cg.

%prep
%ifarch %{ix86}
%setup -q -c
%endif
%ifarch %{x8664}
%setup -q -c -T -a 1
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man3,%{_includedir}/Cg,%{_libdir},%{_examplesdir}/%{name}-%{version}}

install usr/bin/* $RPM_BUILD_ROOT%{_bindir}
install usr/include/Cg/* $RPM_BUILD_ROOT%{_includedir}/Cg
install usr/%{_lib}/* $RPM_BUILD_ROOT%{_libdir}
install usr/share/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3

cp -r usr/local/Cg/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc usr/local/Cg/README
%attr(755,root,root) %{_bindir}/cgc
%attr(755,root,root) %{_libdir}/libCg.so
%attr(755,root,root) %{_libdir}/libCgGL.so
%{_mandir}/man3/cg*.3*

%files devel
%defattr(644,root,root,755)
%{_includedir}/Cg

%files doc
%defattr(644,root,root,755)
%doc usr/local/Cg/docs/{*.pdf,html/*.html}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cg.spec,v $
Revision 1.12  2009/04/17 18:18:42  arvenil
- up to 2.1.0017

Revision 1.11  2008/08/02 11:51:04  arvenil
- up to 2.0.0015
- -doc subpackage

Revision 1.10  2007/05/27 12:17:44  wolf
- cosmetics

Revision 1.9  2007/05/26 22:48:56  sparky
- EA: x86(64)
- TODO: relink libCg.so with -lm -lpthread

Revision 1.8  2007/05/26 13:14:14  qboosh
- more verbose files
- unzip no longer BRed

Revision 1.7  2007/05/26 13:10:51  qboosh
- pl for -devel,-examples
- simplified setup

Revision 1.6  2007/05/26 11:58:20  arvenil
- up to 1.5.0
- updated URL
- -devel, -examples

Revision 1.5  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.3  2004/08/30 18:07:23  snurf
- typo / formatting / etc.

Revision 1.2  2004/05/27 18:30:12  wolf
- adapterized
